Index: issm/trunk/src/m/enum/AccumulationRateEnum.m
===================================================================
--- issm/trunk/src/m/enum/AccumulationRateEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/AccumulationRateEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=AccumulationRateEnum()
 
-macro=122;
+macro=101;
Index: issm/trunk/src/m/enum/AdjointAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/AdjointAnalysisEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/AdjointAnalysisEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=AdjointAnalysisEnum()
 
-macro=18;
+macro=17;
Index: issm/trunk/src/m/enum/AdjointxEnum.m
===================================================================
--- issm/trunk/src/m/enum/AdjointxEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/AdjointxEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=AdjointxEnum()
 
-macro=135;
+macro=102;
Index: issm/trunk/src/m/enum/AdjointyEnum.m
===================================================================
--- issm/trunk/src/m/enum/AdjointyEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/AdjointyEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=AdjointyEnum()
 
-macro=136;
+macro=103;
Index: issm/trunk/src/m/enum/AdjointzEnum.m
===================================================================
--- issm/trunk/src/m/enum/AdjointzEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/AdjointzEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=AdjointzEnum()
 
-macro=137;
+macro=104;
Index: issm/trunk/src/m/enum/AirEnum.m
===================================================================
--- issm/trunk/src/m/enum/AirEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/AirEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=AirEnum()
 
-macro=97;
+macro=99;
Index: issm/trunk/src/m/enum/AnalysisTypeFromEnum.m
===================================================================
--- issm/trunk/src/m/enum/AnalysisTypeFromEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/AnalysisTypeFromEnum.m	(revision 3765)
@@ -24,10 +24,10 @@
 end
 
+if enum==HutterAnalysisEnum(),
+	string='hutter';
+end
+
 if enum==StokesAnalysisEnum(),
 	string='stokes';
-end
-
-if enum==HutterAnalysisEnum(),
-	string='hutter';
 end
 
@@ -36,18 +36,18 @@
 end
 
+if enum==AdjointAnalysisEnum(),
+	string='adjoint';
+end
+
 if enum==ControlAnalysisEnum(),
 	string='control';
 end
 
-if enum==AdjointAnalysisEnum(),
-	string='adjoint';
+if enum==GradientAnalysisEnum(),
+	string='gradient';
 end
 
 if enum==InverseAnalysisEnum(),
 	string='inverse';
-end
-
-if enum==GradientAnalysisEnum(),
-	string='gradient';
 end
 
@@ -64,6 +64,22 @@
 end
 
+if enum==SurfaceAnalysisEnum(),
+	string='surface';
+end
+
 if enum==SlopecomputeAnalysisEnum(),
 	string='slopecompute';
+end
+
+if enum==BedXAnalysisEnum(),
+	string='bedx';
+end
+
+if enum==BedYAnalysisEnum(),
+	string='bedy';
+end
+
+if enum==BedAnalysisEnum(),
+	string='bed';
 end
 
@@ -76,14 +92,14 @@
 end
 
-if enum==BedXAnalysisEnum(),
-	string='bedx';
+if enum==Balancedthickness2AnalysisEnum(),
+	string='balancedthickness2';
 end
 
-if enum==BedYAnalysisEnum(),
-	string='bedy';
+if enum==BalancedthicknessAnalysisEnum(),
+	string='balancedthickness';
 end
 
-if enum==PrognosticAnalysisEnum(),
-	string='prognostic';
+if enum==BalancedvelocitiesAnalysisEnum(),
+	string='balancedvelocities';
 end
 
@@ -92,14 +108,6 @@
 end
 
-if enum==BalancedthicknessAnalysisEnum(),
-	string='balancedthickness';
-end
-
-if enum==Balancedthickness2AnalysisEnum(),
-	string='balancedthickness2';
-end
-
-if enum==BalancedvelocitiesAnalysisEnum(),
-	string='balancedvelocities';
+if enum==PrognosticAnalysisEnum(),
+	string='prognostic';
 end
 
Index: issm/trunk/src/m/enum/ArtDiffEnum.m
===================================================================
--- issm/trunk/src/m/enum/ArtDiffEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ArtDiffEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ArtDiffEnum()
 
-macro=157;
+macro=105;
Index: issm/trunk/src/m/enum/Balancedthickness2AnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/Balancedthickness2AnalysisEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/Balancedthickness2AnalysisEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=Balancedthickness2AnalysisEnum()
 
-macro=32;
+macro=31;
Index: issm/trunk/src/m/enum/BalancedthicknessAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/BalancedthicknessAnalysisEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/BalancedthicknessAnalysisEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=BalancedthicknessAnalysisEnum()
 
-macro=31;
+macro=32;
Index: issm/trunk/src/m/enum/BeamEnum.m
===================================================================
--- issm/trunk/src/m/enum/BeamEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/BeamEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=BeamEnum()
 
-macro=52;
+macro=50;
Index: issm/trunk/src/m/enum/BedAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/BedAnalysisEnum.m	(revision 3765)
+++ issm/trunk/src/m/enum/BedAnalysisEnum.m	(revision 3765)
@@ -0,0 +1,11 @@
+function macro=BedAnalysisEnum()
+%BEDANALYSISENUM - Enum of BedAnalysis
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=BedAnalysisEnum()
+
+macro=28;
Index: issm/trunk/src/m/enum/BedEnum.m
===================================================================
--- issm/trunk/src/m/enum/BedEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/BedEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=BedEnum()
 
-macro=114;
+macro=106;
Index: issm/trunk/src/m/enum/BedSlopexEnum.m
===================================================================
--- issm/trunk/src/m/enum/BedSlopexEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/BedSlopexEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=BedSlopexEnum()
 
-macro=131;
+macro=107;
Index: issm/trunk/src/m/enum/BedSlopeyEnum.m
===================================================================
--- issm/trunk/src/m/enum/BedSlopeyEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/BedSlopeyEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=BedSlopeyEnum()
 
-macro=132;
+macro=108;
Index: issm/trunk/src/m/enum/BedXAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/BedXAnalysisEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/BedXAnalysisEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=BedXAnalysisEnum()
 
-macro=27;
+macro=26;
Index: issm/trunk/src/m/enum/BedYAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/BedYAnalysisEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/BedYAnalysisEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=BedYAnalysisEnum()
 
-macro=28;
+macro=27;
Index: issm/trunk/src/m/enum/BetaEnum.m
===================================================================
--- issm/trunk/src/m/enum/BetaEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/BetaEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=BetaEnum()
 
-macro=187;
+macro=176;
Index: issm/trunk/src/m/enum/BoolInputEnum.m
===================================================================
--- issm/trunk/src/m/enum/BoolInputEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/BoolInputEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=BoolInputEnum()
 
-macro=75;
+macro=74;
Index: issm/trunk/src/m/enum/BoolParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/BoolParamEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/BoolParamEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=BoolParamEnum()
 
-macro=79;
+macro=81;
Index: issm/trunk/src/m/enum/BoundaryEnum.m
===================================================================
--- issm/trunk/src/m/enum/BoundaryEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/BoundaryEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=BoundaryEnum()
 
-macro=155;
+macro=109;
Index: issm/trunk/src/m/enum/CmGradientEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmGradientEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/CmGradientEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=CmGradientEnum()
 
-macro=208;
+macro=177;
Index: issm/trunk/src/m/enum/CmJumpEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmJumpEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/CmJumpEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=CmJumpEnum()
 
-macro=209;
+macro=178;
Index: issm/trunk/src/m/enum/CmMaxDmpSlopeEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmMaxDmpSlopeEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/CmMaxDmpSlopeEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=CmMaxDmpSlopeEnum()
 
-macro=162;
+macro=110;
Index: issm/trunk/src/m/enum/CmMaxDmpValueEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmMaxDmpValueEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/CmMaxDmpValueEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=CmMaxDmpValueEnum()
 
-macro=160;
+macro=111;
Index: issm/trunk/src/m/enum/CmMaxEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmMaxEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/CmMaxEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=CmMaxEnum()
 
-macro=207;
+macro=179;
Index: issm/trunk/src/m/enum/CmMinDmpSlopeEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmMinDmpSlopeEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/CmMinDmpSlopeEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=CmMinDmpSlopeEnum()
 
-macro=161;
+macro=112;
Index: issm/trunk/src/m/enum/CmMinDmpValueEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmMinDmpValueEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/CmMinDmpValueEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=CmMinDmpValueEnum()
 
-macro=159;
+macro=113;
Index: issm/trunk/src/m/enum/CmMinEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmMinEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/CmMinEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=CmMinEnum()
 
-macro=206;
+macro=180;
Index: issm/trunk/src/m/enum/CmNoiseDmpEnum.m
===================================================================
--- issm/trunk/src/m/enum/CmNoiseDmpEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/CmNoiseDmpEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=CmNoiseDmpEnum()
 
-macro=158;
+macro=114;
Index: issm/trunk/src/m/enum/CollapseEnum.m
===================================================================
--- issm/trunk/src/m/enum/CollapseEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/CollapseEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=CollapseEnum()
 
-macro=138;
+macro=115;
Index: issm/trunk/src/m/enum/ConnectivityEnum.m
===================================================================
--- issm/trunk/src/m/enum/ConnectivityEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ConnectivityEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ConnectivityEnum()
 
-macro=186;
+macro=181;
Index: issm/trunk/src/m/enum/ConstantEnum.m
===================================================================
--- issm/trunk/src/m/enum/ConstantEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ConstantEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ConstantEnum()
 
-macro=170;
+macro=116;
Index: issm/trunk/src/m/enum/ConstraintsEnum.m
===================================================================
--- issm/trunk/src/m/enum/ConstraintsEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ConstraintsEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ConstraintsEnum()
 
-macro=3;
+macro=0;
Index: issm/trunk/src/m/enum/ControlAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/ControlAnalysisEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ControlAnalysisEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ControlAnalysisEnum()
 
-macro=17;
+macro=18;
Index: issm/trunk/src/m/enum/ControlParameterEnum.m
===================================================================
--- issm/trunk/src/m/enum/ControlParameterEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ControlParameterEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ControlParameterEnum()
 
-macro=212;
+macro=182;
Index: issm/trunk/src/m/enum/ControlSteadyEnum.m
===================================================================
--- issm/trunk/src/m/enum/ControlSteadyEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ControlSteadyEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ControlSteadyEnum()
 
-macro=204;
+macro=183;
Index: issm/trunk/src/m/enum/ControlTypeEnum.m
===================================================================
--- issm/trunk/src/m/enum/ControlTypeEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ControlTypeEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ControlTypeEnum()
 
-macro=163;
+macro=117;
Index: issm/trunk/src/m/enum/ConvergedEnum.m
===================================================================
--- issm/trunk/src/m/enum/ConvergedEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ConvergedEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ConvergedEnum()
 
-macro=150;
+macro=118;
Index: issm/trunk/src/m/enum/DakotaParameterEnum.m
===================================================================
--- issm/trunk/src/m/enum/DakotaParameterEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/DakotaParameterEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=DakotaParameterEnum()
 
-macro=221;
+macro=184;
Index: issm/trunk/src/m/enum/DatasetsEnum.m
===================================================================
--- issm/trunk/src/m/enum/DatasetsEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/DatasetsEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=DatasetsEnum()
 
-macro=0;
+macro=1;
Index: issm/trunk/src/m/enum/DhDtEnum.m
===================================================================
--- issm/trunk/src/m/enum/DhDtEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/DhDtEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=DhDtEnum()
 
-macro=111;
+macro=119;
Index: issm/trunk/src/m/enum/DimEnum.m
===================================================================
--- issm/trunk/src/m/enum/DimEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/DimEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=DimEnum()
 
-macro=172;
+macro=185;
Index: issm/trunk/src/m/enum/DofIndexingEnum.m
===================================================================
--- issm/trunk/src/m/enum/DofIndexingEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/DofIndexingEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=DofIndexingEnum()
 
-macro=54;
+macro=51;
Index: issm/trunk/src/m/enum/DofVecEnum.m
===================================================================
--- issm/trunk/src/m/enum/DofVecEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/DofVecEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=DofVecEnum()
 
-macro=91;
+macro=93;
Index: issm/trunk/src/m/enum/DoubleInputEnum.m
===================================================================
--- issm/trunk/src/m/enum/DoubleInputEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/DoubleInputEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=DoubleInputEnum()
 
-macro=77;
+macro=75;
Index: issm/trunk/src/m/enum/DoubleMatParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/DoubleMatParamEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/DoubleMatParamEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=DoubleMatParamEnum()
 
-macro=84;
+macro=82;
Index: issm/trunk/src/m/enum/DoubleParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/DoubleParamEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/DoubleParamEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=DoubleParamEnum()
 
-macro=81;
+macro=83;
Index: issm/trunk/src/m/enum/DoubleVecParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/DoubleVecParamEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/DoubleVecParamEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=DoubleVecParamEnum()
 
-macro=85;
+macro=84;
Index: issm/trunk/src/m/enum/DragCoefficientEnum.m
===================================================================
--- issm/trunk/src/m/enum/DragCoefficientEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/DragCoefficientEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=DragCoefficientEnum()
 
-macro=115;
+macro=120;
Index: issm/trunk/src/m/enum/DragPEnum.m
===================================================================
--- issm/trunk/src/m/enum/DragPEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/DragPEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=DragPEnum()
 
-macro=116;
+macro=121;
Index: issm/trunk/src/m/enum/DragQEnum.m
===================================================================
--- issm/trunk/src/m/enum/DragQEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/DragQEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=DragQEnum()
 
-macro=117;
+macro=122;
Index: issm/trunk/src/m/enum/DragTypeEnum.m
===================================================================
--- issm/trunk/src/m/enum/DragTypeEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/DragTypeEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=DragTypeEnum()
 
-macro=118;
+macro=123;
Index: issm/trunk/src/m/enum/DtEnum.m
===================================================================
--- issm/trunk/src/m/enum/DtEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/DtEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=DtEnum()
 
-macro=156;
+macro=124;
Index: issm/trunk/src/m/enum/ElementEnum.m
===================================================================
--- issm/trunk/src/m/enum/ElementEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ElementEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ElementEnum()
 
-macro=47;
+macro=49;
Index: issm/trunk/src/m/enum/ElementOnIceShelfEnum.m
===================================================================
--- issm/trunk/src/m/enum/ElementOnIceShelfEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ElementOnIceShelfEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ElementOnIceShelfEnum()
 
-macro=124;
+macro=126;
Index: issm/trunk/src/m/enum/ElementOnWaterEnum.m
===================================================================
--- issm/trunk/src/m/enum/ElementOnWaterEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ElementOnWaterEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ElementOnWaterEnum()
 
-macro=126;
+macro=128;
Index: issm/trunk/src/m/enum/ElementPropertiesEnum.m
===================================================================
--- issm/trunk/src/m/enum/ElementPropertiesEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ElementPropertiesEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ElementPropertiesEnum()
 
-macro=49;
+macro=52;
Index: issm/trunk/src/m/enum/ElementsEnum.m
===================================================================
--- issm/trunk/src/m/enum/ElementsEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ElementsEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ElementsEnum()
 
-macro=1;
+macro=2;
Index: issm/trunk/src/m/enum/EpsAbsEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsAbsEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/EpsAbsEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=EpsAbsEnum()
 
-macro=179;
+macro=186;
Index: issm/trunk/src/m/enum/EpsCmEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsCmEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/EpsCmEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=EpsCmEnum()
 
-macro=180;
+macro=187;
Index: issm/trunk/src/m/enum/EpsRelEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsRelEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/EpsRelEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=EpsRelEnum()
 
-macro=178;
+macro=188;
Index: issm/trunk/src/m/enum/EpsResEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsResEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/EpsResEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=EpsResEnum()
 
-macro=177;
+macro=189;
Index: issm/trunk/src/m/enum/EpsVelEnum.m
===================================================================
--- issm/trunk/src/m/enum/EpsVelEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/EpsVelEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=EpsVelEnum()
 
-macro=166;
+macro=129;
Index: issm/trunk/src/m/enum/ExtrudeParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/ExtrudeParamEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ExtrudeParamEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ExtrudeParamEnum()
 
-macro=203;
+macro=190;
Index: issm/trunk/src/m/enum/FillEnum.m
===================================================================
--- issm/trunk/src/m/enum/FillEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/FillEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=FillEnum()
 
-macro=152;
+macro=130;
Index: issm/trunk/src/m/enum/FitEnum.m
===================================================================
--- issm/trunk/src/m/enum/FitEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/FitEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=FitEnum()
 
-macro=134;
+macro=131;
Index: issm/trunk/src/m/enum/FormulationEnum.m
===================================================================
--- issm/trunk/src/m/enum/FormulationEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/FormulationEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=FormulationEnum()
 
-macro=39;
+macro=41;
Index: issm/trunk/src/m/enum/FractionIncrementEnum.m
===================================================================
--- issm/trunk/src/m/enum/FractionIncrementEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/FractionIncrementEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=FractionIncrementEnum()
 
-macro=149;
+macro=132;
Index: issm/trunk/src/m/enum/FrictionEnum.m
===================================================================
--- issm/trunk/src/m/enum/FrictionEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/FrictionEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=FrictionEnum()
 
-macro=148;
+macro=133;
Index: issm/trunk/src/m/enum/GeographyEnum.m
===================================================================
--- issm/trunk/src/m/enum/GeographyEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/GeographyEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=GeographyEnum()
 
-macro=92;
+macro=94;
Index: issm/trunk/src/m/enum/GeothermalFluxEnum.m
===================================================================
--- issm/trunk/src/m/enum/GeothermalFluxEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/GeothermalFluxEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=GeothermalFluxEnum()
 
-macro=123;
+macro=134;
Index: issm/trunk/src/m/enum/GradientAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/GradientAnalysisEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/GradientAnalysisEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=GradientAnalysisEnum()
 
-macro=20;
+macro=19;
Index: issm/trunk/src/m/enum/HeatCapacityEnum.m
===================================================================
--- issm/trunk/src/m/enum/HeatCapacityEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/HeatCapacityEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=HeatCapacityEnum()
 
-macro=190;
+macro=191;
Index: issm/trunk/src/m/enum/HookEnum.m
===================================================================
--- issm/trunk/src/m/enum/HookEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/HookEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=HookEnum()
 
-macro=46;
+macro=48;
Index: issm/trunk/src/m/enum/HutterAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/HutterAnalysisEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/HutterAnalysisEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=HutterAnalysisEnum()
 
-macro=15;
+macro=14;
Index: issm/trunk/src/m/enum/HutterFormulationEnum.m
===================================================================
--- issm/trunk/src/m/enum/HutterFormulationEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/HutterFormulationEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=HutterFormulationEnum()
 
-macro=41;
+macro=42;
Index: issm/trunk/src/m/enum/IceEnum.m
===================================================================
--- issm/trunk/src/m/enum/IceEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/IceEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=IceEnum()
 
-macro=96;
+macro=98;
Index: issm/trunk/src/m/enum/IceSheetEnum.m
===================================================================
--- issm/trunk/src/m/enum/IceSheetEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/IceSheetEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=IceSheetEnum()
 
-macro=93;
+macro=95;
Index: issm/trunk/src/m/enum/IceShelfEnum.m
===================================================================
--- issm/trunk/src/m/enum/IceShelfEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/IceShelfEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=IceShelfEnum()
 
-macro=94;
+macro=96;
Index: issm/trunk/src/m/enum/IcefrontEnum.m
===================================================================
--- issm/trunk/src/m/enum/IcefrontEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/IcefrontEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=IcefrontEnum()
 
-macro=58;
+macro=60;
Index: issm/trunk/src/m/enum/InputEnum.m
===================================================================
--- issm/trunk/src/m/enum/InputEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/InputEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=InputEnum()
 
-macro=70;
+macro=72;
Index: issm/trunk/src/m/enum/IntParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/IntParamEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/IntParamEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=IntParamEnum()
 
-macro=80;
+macro=85;
Index: issm/trunk/src/m/enum/InternalEnum.m
===================================================================
--- issm/trunk/src/m/enum/InternalEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/InternalEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=InternalEnum()
 
-macro=153;
+macro=135;
Index: issm/trunk/src/m/enum/InverseAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/InverseAnalysisEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/InverseAnalysisEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=InverseAnalysisEnum()
 
-macro=19;
+macro=20;
Index: issm/trunk/src/m/enum/IsHutterEnum.m
===================================================================
--- issm/trunk/src/m/enum/IsHutterEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/IsHutterEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=IsHutterEnum()
 
-macro=173;
+macro=192;
Index: issm/trunk/src/m/enum/IsMacAyealPattynEnum.m
===================================================================
--- issm/trunk/src/m/enum/IsMacAyealPattynEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/IsMacAyealPattynEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=IsMacAyealPattynEnum()
 
-macro=174;
+macro=193;
Index: issm/trunk/src/m/enum/IsStokesEnum.m
===================================================================
--- issm/trunk/src/m/enum/IsStokesEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/IsStokesEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=IsStokesEnum()
 
-macro=175;
+macro=194;
Index: issm/trunk/src/m/enum/KflagEnum.m
===================================================================
--- issm/trunk/src/m/enum/KflagEnum.m	(revision 3765)
+++ issm/trunk/src/m/enum/KflagEnum.m	(revision 3765)
@@ -0,0 +1,11 @@
+function macro=KflagEnum()
+%KFLAGENUM - Enum of Kflag
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=KflagEnum()
+
+macro=136;
Index: issm/trunk/src/m/enum/LatentHeatEnum.m
===================================================================
--- issm/trunk/src/m/enum/LatentHeatEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/LatentHeatEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=LatentHeatEnum()
 
-macro=189;
+macro=195;
Index: issm/trunk/src/m/enum/LoadEnum.m
===================================================================
--- issm/trunk/src/m/enum/LoadEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/LoadEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=LoadEnum()
 
-macro=57;
+macro=59;
Index: issm/trunk/src/m/enum/LoadsEnum.m
===================================================================
--- issm/trunk/src/m/enum/LoadsEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/LoadsEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=LoadsEnum()
 
-macro=4;
+macro=3;
Index: issm/trunk/src/m/enum/LowmemEnum.m
===================================================================
--- issm/trunk/src/m/enum/LowmemEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/LowmemEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=LowmemEnum()
 
-macro=185;
+macro=196;
Index: issm/trunk/src/m/enum/MacAyealFormulationEnum.m
===================================================================
--- issm/trunk/src/m/enum/MacAyealFormulationEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/MacAyealFormulationEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=MacAyealFormulationEnum()
 
-macro=42;
+macro=43;
Index: issm/trunk/src/m/enum/MaterialEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaterialEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/MaterialEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=MaterialEnum()
 
-macro=67;
+macro=69;
Index: issm/trunk/src/m/enum/MaterialsEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaterialsEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/MaterialsEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=MaterialsEnum()
 
-macro=5;
+macro=4;
Index: issm/trunk/src/m/enum/MaticeEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaticeEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/MaticeEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=MaticeEnum()
 
-macro=68;
+macro=70;
Index: issm/trunk/src/m/enum/MatparEnum.m
===================================================================
--- issm/trunk/src/m/enum/MatparEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/MatparEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=MatparEnum()
 
-macro=69;
+macro=71;
Index: issm/trunk/src/m/enum/MaxIterEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxIterEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/MaxIterEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=MaxIterEnum()
 
-macro=211;
+macro=197;
Index: issm/trunk/src/m/enum/MaxNonlinearIterationsEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxNonlinearIterationsEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/MaxNonlinearIterationsEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=MaxNonlinearIterationsEnum()
 
-macro=181;
+macro=198;
Index: issm/trunk/src/m/enum/MaxPenetrationEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaxPenetrationEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/MaxPenetrationEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=MaxPenetrationEnum()
 
-macro=154;
+macro=137;
Index: issm/trunk/src/m/enum/MeanVelEnum.m
===================================================================
--- issm/trunk/src/m/enum/MeanVelEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/MeanVelEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=MeanVelEnum()
 
-macro=165;
+macro=138;
Index: issm/trunk/src/m/enum/MelangeEnum.m
===================================================================
--- issm/trunk/src/m/enum/MelangeEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/MelangeEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=MelangeEnum()
 
-macro=98;
+macro=100;
Index: issm/trunk/src/m/enum/MeltingAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/MeltingAnalysisEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/MeltingAnalysisEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=MeltingAnalysisEnum()
 
-macro=34;
+macro=36;
Index: issm/trunk/src/m/enum/MeltingOffsetEnum.m
===================================================================
--- issm/trunk/src/m/enum/MeltingOffsetEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/MeltingOffsetEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=MeltingOffsetEnum()
 
-macro=146;
+macro=139;
Index: issm/trunk/src/m/enum/MeltingPointEnum.m
===================================================================
--- issm/trunk/src/m/enum/MeltingPointEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/MeltingPointEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=MeltingPointEnum()
 
-macro=188;
+macro=199;
Index: issm/trunk/src/m/enum/MeltingRateEnum.m
===================================================================
--- issm/trunk/src/m/enum/MeltingRateEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/MeltingRateEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=MeltingRateEnum()
 
-macro=121;
+macro=140;
Index: issm/trunk/src/m/enum/Mesh2gridAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/Mesh2gridAnalysisEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/Mesh2gridAnalysisEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=Mesh2gridAnalysisEnum()
 
-macro=35;
+macro=37;
Index: issm/trunk/src/m/enum/MinMechanicalConstraintsEnum.m
===================================================================
--- issm/trunk/src/m/enum/MinMechanicalConstraintsEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/MinMechanicalConstraintsEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=MinMechanicalConstraintsEnum()
 
-macro=193;
+macro=200;
Index: issm/trunk/src/m/enum/MinThermalConstraintsEnum.m
===================================================================
--- issm/trunk/src/m/enum/MinThermalConstraintsEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/MinThermalConstraintsEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=MinThermalConstraintsEnum()
 
-macro=192;
+macro=201;
Index: issm/trunk/src/m/enum/NStepsEnum.m
===================================================================
--- issm/trunk/src/m/enum/NStepsEnum.m	(revision 3765)
+++ issm/trunk/src/m/enum/NStepsEnum.m	(revision 3765)
@@ -0,0 +1,11 @@
+function macro=NStepsEnum()
+%NSTEPSENUM - Enum of NSteps
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=NStepsEnum()
+
+macro=202;
Index: issm/trunk/src/m/enum/NdtEnum.m
===================================================================
--- issm/trunk/src/m/enum/NdtEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/NdtEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=NdtEnum()
 
-macro=183;
+macro=203;
Index: issm/trunk/src/m/enum/NodeEnum.m
===================================================================
--- issm/trunk/src/m/enum/NodeEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/NodeEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=NodeEnum()
 
-macro=55;
+macro=57;
Index: issm/trunk/src/m/enum/NodeOnIceSheetEnum.m
===================================================================
--- issm/trunk/src/m/enum/NodeOnIceSheetEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/NodeOnIceSheetEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=NodeOnIceSheetEnum()
 
-macro=144;
+macro=142;
Index: issm/trunk/src/m/enum/NodeOnSurfaceEnum.m
===================================================================
--- issm/trunk/src/m/enum/NodeOnSurfaceEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/NodeOnSurfaceEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=NodeOnSurfaceEnum()
 
-macro=142;
+macro=144;
Index: issm/trunk/src/m/enum/NodePropertiesEnum.m
===================================================================
--- issm/trunk/src/m/enum/NodePropertiesEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/NodePropertiesEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=NodePropertiesEnum()
 
-macro=50;
+macro=53;
Index: issm/trunk/src/m/enum/NodesEnum.m
===================================================================
--- issm/trunk/src/m/enum/NodesEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/NodesEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=NodesEnum()
 
-macro=2;
+macro=5;
Index: issm/trunk/src/m/enum/NoneAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/NoneAnalysisEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/NoneAnalysisEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=NoneAnalysisEnum()
 
-macro=38;
+macro=40;
Index: issm/trunk/src/m/enum/NoneFormulationEnum.m
===================================================================
--- issm/trunk/src/m/enum/NoneFormulationEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/NoneFormulationEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=NoneFormulationEnum()
 
-macro=40;
+macro=44;
Index: issm/trunk/src/m/enum/NumOutputEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumOutputEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/NumOutputEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=NumOutputEnum()
 
-macro=201;
+macro=204;
Index: issm/trunk/src/m/enum/NumRiftsEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumRiftsEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/NumRiftsEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=NumRiftsEnum()
 
-macro=200;
+macro=205;
Index: issm/trunk/src/m/enum/NumberOfDofsPerNodeEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumberOfDofsPerNodeEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/NumberOfDofsPerNodeEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=NumberOfDofsPerNodeEnum()
 
-macro=199;
+macro=206;
Index: issm/trunk/src/m/enum/NumberOfElementsEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumberOfElementsEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/NumberOfElementsEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=NumberOfElementsEnum()
 
-macro=198;
+macro=207;
Index: issm/trunk/src/m/enum/NumberOfNodesEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumberOfNodesEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/NumberOfNodesEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=NumberOfNodesEnum()
 
-macro=197;
+macro=208;
Index: issm/trunk/src/m/enum/NumberOfVerticesEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumberOfVerticesEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/NumberOfVerticesEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=NumberOfVerticesEnum()
 
-macro=196;
+macro=209;
Index: issm/trunk/src/m/enum/NumericalfluxEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumericalfluxEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/NumericalfluxEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=NumericalfluxEnum()
 
-macro=66;
+macro=61;
Index: issm/trunk/src/m/enum/ObjectEnum.m
===================================================================
--- issm/trunk/src/m/enum/ObjectEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ObjectEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ObjectEnum()
 
-macro=45;
+macro=47;
Index: issm/trunk/src/m/enum/OutputFileNameEnum.m
===================================================================
--- issm/trunk/src/m/enum/OutputFileNameEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/OutputFileNameEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=OutputFileNameEnum()
 
-macro=171;
+macro=211;
Index: issm/trunk/src/m/enum/ParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/ParamEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ParamEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ParamEnum()
 
-macro=78;
+macro=80;
Index: issm/trunk/src/m/enum/ParameterOutputEnum.m
===================================================================
--- issm/trunk/src/m/enum/ParameterOutputEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ParameterOutputEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ParameterOutputEnum()
 
-macro=202;
+macro=212;
Index: issm/trunk/src/m/enum/ParametersAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/ParametersAnalysisEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ParametersAnalysisEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ParametersAnalysisEnum()
 
-macro=36;
+macro=38;
Index: issm/trunk/src/m/enum/PattynFormulationEnum.m
===================================================================
--- issm/trunk/src/m/enum/PattynFormulationEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/PattynFormulationEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=PattynFormulationEnum()
 
-macro=43;
+macro=45;
Index: issm/trunk/src/m/enum/PenaltyMeltingEnum.m
===================================================================
--- issm/trunk/src/m/enum/PenaltyMeltingEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/PenaltyMeltingEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=PenaltyMeltingEnum()
 
-macro=191;
+macro=213;
Index: issm/trunk/src/m/enum/PenaltyOffsetEnum.m
===================================================================
--- issm/trunk/src/m/enum/PenaltyOffsetEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/PenaltyOffsetEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=PenaltyOffsetEnum()
 
-macro=169;
+macro=145;
Index: issm/trunk/src/m/enum/PengridEnum.m
===================================================================
--- issm/trunk/src/m/enum/PengridEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/PengridEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=PengridEnum()
 
-macro=65;
+macro=62;
Index: issm/trunk/src/m/enum/PenpairEnum.m
===================================================================
--- issm/trunk/src/m/enum/PenpairEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/PenpairEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=PenpairEnum()
 
-macro=64;
+macro=63;
Index: issm/trunk/src/m/enum/PentaEnum.m
===================================================================
--- issm/trunk/src/m/enum/PentaEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/PentaEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=PentaEnum()
 
-macro=51;
+macro=54;
Index: issm/trunk/src/m/enum/PentaVertexInputEnum.m
===================================================================
--- issm/trunk/src/m/enum/PentaVertexInputEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/PentaVertexInputEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=PentaVertexInputEnum()
 
-macro=74;
+macro=77;
Index: issm/trunk/src/m/enum/PetscMatParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/PetscMatParamEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/PetscMatParamEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=PetscMatParamEnum()
 
-macro=82;
+macro=86;
Index: issm/trunk/src/m/enum/PetscVecParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/PetscVecParamEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/PetscVecParamEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=PetscVecParamEnum()
 
-macro=83;
+macro=87;
Index: issm/trunk/src/m/enum/PflagEnum.m
===================================================================
--- issm/trunk/src/m/enum/PflagEnum.m	(revision 3765)
+++ issm/trunk/src/m/enum/PflagEnum.m	(revision 3765)
@@ -0,0 +1,11 @@
+function macro=PflagEnum()
+%PFLAGENUM - Enum of Pflag
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=PflagEnum()
+
+macro=146;
Index: issm/trunk/src/m/enum/PressureEnum.m
===================================================================
--- issm/trunk/src/m/enum/PressureEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/PressureEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=PressureEnum()
 
-macro=140;
+macro=147;
Index: issm/trunk/src/m/enum/Prognostic2AnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/Prognostic2AnalysisEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/Prognostic2AnalysisEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=Prognostic2AnalysisEnum()
 
-macro=30;
+macro=34;
Index: issm/trunk/src/m/enum/PrognosticAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/PrognosticAnalysisEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/PrognosticAnalysisEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=PrognosticAnalysisEnum()
 
-macro=29;
+macro=35;
Index: issm/trunk/src/m/enum/QmuAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuAnalysisEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/QmuAnalysisEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=QmuAnalysisEnum()
 
-macro=213;
+macro=214;
Index: issm/trunk/src/m/enum/QmuErrNameEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuErrNameEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/QmuErrNameEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=QmuErrNameEnum()
 
-macro=216;
+macro=215;
Index: issm/trunk/src/m/enum/QmuInNameEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuInNameEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/QmuInNameEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=QmuInNameEnum()
 
-macro=214;
+macro=216;
Index: issm/trunk/src/m/enum/QmuMassFluxSegmentsEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuMassFluxSegmentsEnum.m	(revision 3765)
+++ issm/trunk/src/m/enum/QmuMassFluxSegmentsEnum.m	(revision 3765)
@@ -0,0 +1,11 @@
+function macro=QmuMassFluxSegmentsEnum()
+%QMUMASSFLUXSEGMENTSENUM - Enum of QmuMassFluxSegments
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=QmuMassFluxSegmentsEnum()
+
+macro=217;
Index: issm/trunk/src/m/enum/QmuNPartEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuNPartEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/QmuNPartEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=QmuNPartEnum()
 
-macro=217;
+macro=218;
Index: issm/trunk/src/m/enum/QmuOutNameEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuOutNameEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/QmuOutNameEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=QmuOutNameEnum()
 
-macro=215;
+macro=219;
Index: issm/trunk/src/m/enum/QmuPartEnum.m
===================================================================
--- issm/trunk/src/m/enum/QmuPartEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/QmuPartEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=QmuPartEnum()
 
-macro=218;
+macro=220;
Index: issm/trunk/src/m/enum/QuadIceFrontEnum.m
===================================================================
--- issm/trunk/src/m/enum/QuadIceFrontEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/QuadIceFrontEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=QuadIceFrontEnum()
 
-macro=60;
+macro=64;
Index: issm/trunk/src/m/enum/QuadRiftFrontEnum.m
===================================================================
--- issm/trunk/src/m/enum/QuadRiftFrontEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/QuadRiftFrontEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=QuadRiftFrontEnum()
 
-macro=63;
+macro=65;
Index: issm/trunk/src/m/enum/ResetPenaltiesEnum.m
===================================================================
--- issm/trunk/src/m/enum/ResetPenaltiesEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ResetPenaltiesEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ResetPenaltiesEnum()
 
-macro=145;
+macro=148;
Index: issm/trunk/src/m/enum/ResponseDescriptorsEnum.m
===================================================================
--- issm/trunk/src/m/enum/ResponseDescriptorsEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ResponseDescriptorsEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ResponseDescriptorsEnum()
 
-macro=220;
+macro=221;
Index: issm/trunk/src/m/enum/ResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/ResultEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ResultEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ResultEnum()
 
-macro=88;
+macro=90;
Index: issm/trunk/src/m/enum/RgbEnum.m
===================================================================
--- issm/trunk/src/m/enum/RgbEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/RgbEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=RgbEnum()
 
-macro=89;
+macro=91;
Index: issm/trunk/src/m/enum/RheologyBEnum.m
===================================================================
--- issm/trunk/src/m/enum/RheologyBEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/RheologyBEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=RheologyBEnum()
 
-macro=119;
+macro=149;
Index: issm/trunk/src/m/enum/RheologyNEnum.m
===================================================================
--- issm/trunk/src/m/enum/RheologyNEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/RheologyNEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=RheologyNEnum()
 
-macro=120;
+macro=150;
Index: issm/trunk/src/m/enum/RiftfrontEnum.m
===================================================================
--- issm/trunk/src/m/enum/RiftfrontEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/RiftfrontEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=RiftfrontEnum()
 
-macro=61;
+macro=66;
Index: issm/trunk/src/m/enum/SegmentIcefrontEnum.m
===================================================================
--- issm/trunk/src/m/enum/SegmentIcefrontEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/SegmentIcefrontEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=SegmentIcefrontEnum()
 
-macro=59;
+macro=67;
Index: issm/trunk/src/m/enum/SegmentRiftfrontEnum.m
===================================================================
--- issm/trunk/src/m/enum/SegmentRiftfrontEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/SegmentRiftfrontEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=SegmentRiftfrontEnum()
 
-macro=62;
+macro=68;
Index: issm/trunk/src/m/enum/SingEnum.m
===================================================================
--- issm/trunk/src/m/enum/SingEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/SingEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=SingEnum()
 
-macro=53;
+macro=55;
Index: issm/trunk/src/m/enum/SingVertexInputEnum.m
===================================================================
--- issm/trunk/src/m/enum/SingVertexInputEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/SingVertexInputEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=SingVertexInputEnum()
 
-macro=72;
+macro=78;
Index: issm/trunk/src/m/enum/SlopecomputeAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/SlopecomputeAnalysisEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/SlopecomputeAnalysisEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=SlopecomputeAnalysisEnum()
 
-macro=24;
+macro=25;
Index: issm/trunk/src/m/enum/SolverStringEnum.m
===================================================================
--- issm/trunk/src/m/enum/SolverStringEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/SolverStringEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=SolverStringEnum()
 
-macro=195;
+macro=222;
Index: issm/trunk/src/m/enum/SparsityEnum.m
===================================================================
--- issm/trunk/src/m/enum/SparsityEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/SparsityEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=SparsityEnum()
 
-macro=184;
+macro=223;
Index: issm/trunk/src/m/enum/SpcEnum.m
===================================================================
--- issm/trunk/src/m/enum/SpcEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/SpcEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=SpcEnum()
 
-macro=90;
+macro=92;
Index: issm/trunk/src/m/enum/StabilizeConstraintsEnum.m
===================================================================
--- issm/trunk/src/m/enum/StabilizeConstraintsEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/StabilizeConstraintsEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=StabilizeConstraintsEnum()
 
-macro=168;
+macro=152;
Index: issm/trunk/src/m/enum/SteadystateAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/SteadystateAnalysisEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/SteadystateAnalysisEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=SteadystateAnalysisEnum()
 
-macro=37;
+macro=39;
Index: issm/trunk/src/m/enum/StokesAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/StokesAnalysisEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/StokesAnalysisEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=StokesAnalysisEnum()
 
-macro=14;
+macro=15;
Index: issm/trunk/src/m/enum/StokesFormulationEnum.m
===================================================================
--- issm/trunk/src/m/enum/StokesFormulationEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/StokesFormulationEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=StokesFormulationEnum()
 
-macro=44;
+macro=46;
Index: issm/trunk/src/m/enum/StokesReconditioningEnum.m
===================================================================
--- issm/trunk/src/m/enum/StokesReconditioningEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/StokesReconditioningEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=StokesReconditioningEnum()
 
-macro=167;
+macro=153;
Index: issm/trunk/src/m/enum/StringArrayParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/StringArrayParamEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/StringArrayParamEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=StringArrayParamEnum()
 
-macro=87;
+macro=88;
Index: issm/trunk/src/m/enum/StringParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/StringParamEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/StringParamEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=StringParamEnum()
 
-macro=86;
+macro=89;
Index: issm/trunk/src/m/enum/SurfaceAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/SurfaceAnalysisEnum.m	(revision 3765)
+++ issm/trunk/src/m/enum/SurfaceAnalysisEnum.m	(revision 3765)
@@ -0,0 +1,11 @@
+function macro=SurfaceAnalysisEnum()
+%SURFACEANALYSISENUM - Enum of SurfaceAnalysis
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=SurfaceAnalysisEnum()
+
+macro=24;
Index: issm/trunk/src/m/enum/SurfaceAreaEnum.m
===================================================================
--- issm/trunk/src/m/enum/SurfaceAreaEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/SurfaceAreaEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=SurfaceAreaEnum()
 
-macro=128;
+macro=154;
Index: issm/trunk/src/m/enum/SurfaceEnum.m
===================================================================
--- issm/trunk/src/m/enum/SurfaceEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/SurfaceEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=SurfaceEnum()
 
-macro=113;
+macro=155;
Index: issm/trunk/src/m/enum/SurfaceSlopexEnum.m
===================================================================
--- issm/trunk/src/m/enum/SurfaceSlopexEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/SurfaceSlopexEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=SurfaceSlopexEnum()
 
-macro=129;
+macro=156;
Index: issm/trunk/src/m/enum/SurfaceSlopeyEnum.m
===================================================================
--- issm/trunk/src/m/enum/SurfaceSlopeyEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/SurfaceSlopeyEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=SurfaceSlopeyEnum()
 
-macro=130;
+macro=157;
Index: issm/trunk/src/m/enum/SurfaceXAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/SurfaceXAnalysisEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/SurfaceXAnalysisEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=SurfaceXAnalysisEnum()
 
-macro=25;
+macro=29;
Index: issm/trunk/src/m/enum/SurfaceYAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/SurfaceYAnalysisEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/SurfaceYAnalysisEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=SurfaceYAnalysisEnum()
 
-macro=26;
+macro=30;
Index: issm/trunk/src/m/enum/TemperatureAverageEnum.m
===================================================================
--- issm/trunk/src/m/enum/TemperatureAverageEnum.m	(revision 3765)
+++ issm/trunk/src/m/enum/TemperatureAverageEnum.m	(revision 3765)
@@ -0,0 +1,11 @@
+function macro=TemperatureAverageEnum()
+%TEMPERATUREAVERAGEENUM - Enum of TemperatureAverage
+%
+%   WARNING: DO NOT MODIFY THIS FILE
+%            this file has been automatically generated by src/c/SynchronizeMatlabEnum
+%            Please read src/c/README for more information
+%
+%   Usage:
+%      macro=TemperatureAverageEnum()
+
+macro=159;
Index: issm/trunk/src/m/enum/TemperatureEnum.m
===================================================================
--- issm/trunk/src/m/enum/TemperatureEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/TemperatureEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=TemperatureEnum()
 
-macro=139;
+macro=158;
Index: issm/trunk/src/m/enum/ThicknessEnum.m
===================================================================
--- issm/trunk/src/m/enum/ThicknessEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ThicknessEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ThicknessEnum()
 
-macro=112;
+macro=160;
Index: issm/trunk/src/m/enum/TolXEnum.m
===================================================================
--- issm/trunk/src/m/enum/TolXEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/TolXEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=TolXEnum()
 
-macro=205;
+macro=224;
Index: issm/trunk/src/m/enum/TriaEnum.m
===================================================================
--- issm/trunk/src/m/enum/TriaEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/TriaEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=TriaEnum()
 
-macro=48;
+macro=56;
Index: issm/trunk/src/m/enum/TriaVertexInputEnum.m
===================================================================
--- issm/trunk/src/m/enum/TriaVertexInputEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/TriaVertexInputEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=TriaVertexInputEnum()
 
-macro=71;
+macro=79;
Index: issm/trunk/src/m/enum/TypeEnum.m
===================================================================
--- issm/trunk/src/m/enum/TypeEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/TypeEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=TypeEnum()
 
-macro=147;
+macro=161;
Index: issm/trunk/src/m/enum/VariableDescriptorsEnum.m
===================================================================
--- issm/trunk/src/m/enum/VariableDescriptorsEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/VariableDescriptorsEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=VariableDescriptorsEnum()
 
-macro=219;
+macro=225;
Index: issm/trunk/src/m/enum/VerboseEnum.m
===================================================================
--- issm/trunk/src/m/enum/VerboseEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/VerboseEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=VerboseEnum()
 
-macro=176;
+macro=226;
Index: issm/trunk/src/m/enum/VertexEnum.m
===================================================================
--- issm/trunk/src/m/enum/VertexEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/VertexEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=VertexEnum()
 
-macro=56;
+macro=58;
Index: issm/trunk/src/m/enum/ViscosityOvershootEnum.m
===================================================================
--- issm/trunk/src/m/enum/ViscosityOvershootEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/ViscosityOvershootEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=ViscosityOvershootEnum()
 
-macro=164;
+macro=162;
Index: issm/trunk/src/m/enum/VxAverageEnum.m
===================================================================
--- issm/trunk/src/m/enum/VxAverageEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/VxAverageEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=VxAverageEnum()
 
-macro=102;
+macro=163;
Index: issm/trunk/src/m/enum/VxEnum.m
===================================================================
--- issm/trunk/src/m/enum/VxEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/VxEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=VxEnum()
 
-macro=99;
+macro=164;
Index: issm/trunk/src/m/enum/VxObsEnum.m
===================================================================
--- issm/trunk/src/m/enum/VxObsEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/VxObsEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=VxObsEnum()
 
-macro=105;
+macro=165;
Index: issm/trunk/src/m/enum/VxOldEnum.m
===================================================================
--- issm/trunk/src/m/enum/VxOldEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/VxOldEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=VxOldEnum()
 
-macro=108;
+macro=166;
Index: issm/trunk/src/m/enum/VyAverageEnum.m
===================================================================
--- issm/trunk/src/m/enum/VyAverageEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/VyAverageEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=VyAverageEnum()
 
-macro=103;
+macro=167;
Index: issm/trunk/src/m/enum/VyEnum.m
===================================================================
--- issm/trunk/src/m/enum/VyEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/VyEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=VyEnum()
 
-macro=100;
+macro=168;
Index: issm/trunk/src/m/enum/VyObsEnum.m
===================================================================
--- issm/trunk/src/m/enum/VyObsEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/VyObsEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=VyObsEnum()
 
-macro=106;
+macro=169;
Index: issm/trunk/src/m/enum/VyOldEnum.m
===================================================================
--- issm/trunk/src/m/enum/VyOldEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/VyOldEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=VyOldEnum()
 
-macro=109;
+macro=170;
Index: issm/trunk/src/m/enum/VzAverageEnum.m
===================================================================
--- issm/trunk/src/m/enum/VzAverageEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/VzAverageEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=VzAverageEnum()
 
-macro=104;
+macro=171;
Index: issm/trunk/src/m/enum/VzEnum.m
===================================================================
--- issm/trunk/src/m/enum/VzEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/VzEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=VzEnum()
 
-macro=101;
+macro=172;
Index: issm/trunk/src/m/enum/VzObsEnum.m
===================================================================
--- issm/trunk/src/m/enum/VzObsEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/VzObsEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=VzObsEnum()
 
-macro=107;
+macro=173;
Index: issm/trunk/src/m/enum/VzOldEnum.m
===================================================================
--- issm/trunk/src/m/enum/VzOldEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/VzOldEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=VzOldEnum()
 
-macro=110;
+macro=174;
Index: issm/trunk/src/m/enum/WaitOnLockEnum.m
===================================================================
--- issm/trunk/src/m/enum/WaitOnLockEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/WaitOnLockEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=WaitOnLockEnum()
 
-macro=194;
+macro=227;
Index: issm/trunk/src/m/enum/WaterEnum.m
===================================================================
--- issm/trunk/src/m/enum/WaterEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/WaterEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=WaterEnum()
 
-macro=95;
+macro=97;
Index: issm/trunk/src/m/enum/WeightsEnum.m
===================================================================
--- issm/trunk/src/m/enum/WeightsEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/WeightsEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=WeightsEnum()
 
-macro=133;
+macro=175;
Index: issm/trunk/src/m/enum/YtsEnum.m
===================================================================
--- issm/trunk/src/m/enum/YtsEnum.m	(revision 3764)
+++ issm/trunk/src/m/enum/YtsEnum.m	(revision 3765)
@@ -9,3 +9,3 @@
 %      macro=YtsEnum()
 
-macro=182;
+macro=228;
